<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3><strong>Edit Vehicles </strong></h3>
            </div>
            <div class="ibox-content">
                <form [formGroup]="editForm" autocomplete="off" class="form-horizontal" (ngSubmit)="updateVehicle();">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Registration number
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength="20" formControlName="registration_number"
                                placeholder=" Registration number" class="form-control" required>
                            <div class="error-msg"
                                *ngIf="editForm.controls['registration_number'].invalid && (editForm.controls['registration_number'].dirty || editForm.controls['registration_number'].touched)">
                                <div *ngIf="editForm.controls['registration_number'].errors.required">
                                    Registration number is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Licence number
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength="20" formControlName="licence_number"
                                placeholder=" Licence number" class="form-control">
                            <div class="error-msg"
                                *ngIf="editForm.controls['licence_number'].invalid && (editForm.controls['licence_number'].dirty || editForm.controls['licence_number'].touched)">
                                <div *ngIf="editForm.controls['licence_number'].errors.required">
                                    Licence number is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Display name
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength="20" formControlName="display_name" placeholder=" Display name"
                                class="form-control">
                            <div class="error-msg"
                                *ngIf="editForm.controls['display_name'].invalid && (editForm.controls['display_name'].dirty || editForm.controls['display_name'].touched)">
                                <div *ngIf="editForm.controls['display_name'].errors.required">
                                    Display name is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Vehicle Identity Number
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength="20" formControlName="vehicle_identity_number"
                                placeholder=" Vehicle Identity Number" class="form-control">
                            <div class="error-msg"
                                *ngIf="editForm.controls['vehicle_identity_number'].invalid && (editForm.controls['vehicle_identity_number'].dirty || editForm.controls['vehicle_identity_number'].touched)">
                                <div *ngIf="editForm.controls['vehicle_identity_number'].errors.required">
                                    Vehicle identity number is required.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Insurance number (Policy No) <i aria-hidden="true" class="mandatory"></i> </label>
                        <div class="col-sm-10 form-input">
                          <input type="text" placeholder=" Insurance number" formControlName="vehicle_policy_number" class="form-control" maxlength="20">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Insurance expiration date
                        </label>
                        <div class="col-sm-10 form-input">
                            <my-date-picker name="insurance_expiration_date" formControlName="insurance_expiration_date"
                                placeholder=" Insurance expiration date" [options]="myDatePickerExpiryOptions">
                            </my-date-picker>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Vehicle model
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" formControlName="vehicle_model"
                                placeholder=" Vehicle model">
                                <mat-option [value]="vehicle._id" *ngFor="let vehicle of vehicleModelData">
                                    {{vehicle.name}}
                                </mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="editForm.controls['vehicle_model'].invalid && (editForm.controls['vehicle_model'].dirty || editForm.controls['vehicle_model'].touched)">
                                <div *ngIf="editForm.controls['vehicle_model'].errors.required">
                                    Vehicle model is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Plate left text
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" formControlName="plate_left_text" placeholder=" Plate left text"
                                maxlength="15" class="form-control">
                            <div class="error-msg"
                                *ngIf="editForm.controls['plate_left_text'].invalid && (editForm.controls['plate_left_text'].dirty || editForm.controls['plate_left_text'].touched)">
                                <div *ngIf="editForm.controls['plate_left_text'].errors.required">
                                    Plate left text is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Plate middle text
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength="15" formControlName="plate_middle_text"
                                placeholder=" Plate middle text" class="form-control">
                            <div class="error-msg"
                                *ngIf="editForm.controls['plate_middle_text'].invalid && (editForm.controls['plate_middle_text'].dirty || editForm.controls['plate_middle_text'].touched)">
                                <div *ngIf="editForm.controls['plate_middle_text'].errors.required">
                                    Plate middle text is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Plate right text
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength="15" formControlName="plate_right_text"
                                placeholder=" Plate right text" class="form-control">
                            <div class="error-msg"
                                *ngIf="editForm.controls['plate_right_text'].invalid && (editForm.controls['plate_right_text'].dirty || editForm.controls['plate_right_text'].touched)">
                                <div *ngIf="editForm.controls['plate_right_text'].errors.required">
                                    Plate right text is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Plate number
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" formControlName="plate_number" placeholder=""
                                class="form-control" disabled>
                            <div class="error-msg"
                                *ngIf="editForm.controls['plate_number'].invalid && (editForm.controls['plate_number'].dirty || editForm.controls['plate_number'].touched)">
                                <div *ngIf="editForm.controls['plate_number'].errors.required">
                                    Plate number is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Plate type
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" formControlName="plate_type" placeholder=" Plate type">
                                <mat-option value="private">Private</mat-option>
                                <mat-option value="taxi">Taxi</mat-option>
                            </mat-select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Credit Card Machine
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength="15" formControlName="credit_card"
                                placeholder="Credit card Machine" class="form-control">

                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Vehicle expiration date </label>
                        <div class="col-sm-10 form-input">
                          <my-date-picker formControlName="vehicle_expiry_date"
                            placeholder=" Vehicle expiration date" [options]="myDatePickerExpiryOptions"
                            [options]="myDatePickerExpiryOptions"></my-date-picker>
                        </div>
                      </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Vehicle category
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Vehicle category"
                                formControlName="category_id" class="form-control"
                                (ngModelChange)="ShowSubCategories($event)" >
                                <mat-option [value]="category._id" *ngFor="let category of categoriesData">
                                    {{category.category}}
                                </mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Vehicle sub category
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Vehicle sub category"
                                formControlName="sub_category_id" class="form-control" >
                                <mat-option [value]="category._id" *ngFor="let category of categoryData">
                                    {{category.sub_category}}
                                </mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Register with Wasl
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" formControlName="register_with_wasl"
                                placeholder=" Register with Wasl">
                                <mat-option value="true">Yes</mat-option>
                                <mat-option value="false">No</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Maintenance status
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" formControlName="in_maintenance"
                                placeholder=" Maintenance status">
                                <mat-option value="true">Yes</mat-option>
                                <mat-option value="false">No</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Send to RTA
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" formControlName="send_to_rta" placeholder=" Send to RTA">
                                <mat-option value="true">Yes</mat-option>
                                <mat-option value="false">No</mat-option>
                            </mat-select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Vehicle color
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength="15" formControlName="vehicle_color"
                                placeholder="Vehicle color" class="form-control">
                            <div class="error-msg"
                                *ngIf="editForm.controls['vehicle_color'].invalid && (editForm.controls['vehicle_color'].dirty || editForm.controls['vehicle_color'].touched)">
                                <div *ngIf="editForm.controls['vehicle_color'].errors.required">
                                    Vehicle colour is required.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group" *ngIf=dtc>
                        <label class="col-sm-2 control-label">Companies</label>
                        <div class="col-sm-10  form-input">
                            <mat-select class="form-control" placeholder="Companies" name="company" class="form-control"
                                required formControlName="company">
                                <mat-option *ngFor="let group of CompanyData" [value]="group._id">
                                    {{ group.company_name }}</mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="editForm.controls['company'].invalid && (editForm.controls['company'].dirty || editForm.controls['company'].touched)">
                                <div *ngIf="editForm.controls['company'].errors.required">Company is required.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-sm btn-primary blue" type="submit">Save changes</button>
                            <button class="btn btn-sm btn-primary red" type="button"
                                [routerLink]="['/admin/fleet/vehicles']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>